Bug 961215 - [fork][v2carts]Failed to git push after executing V2 migration
[fork][v2carts]Failed to git push after executing V2 migration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 03:02 EDT by Wei Sun
Modified: 2015-05-14 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_3208+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:55:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-09 03:02:38 EDT
Description of problem:
After executing v2 migration,failed to git push for application.
There are  some error messages,please refer to  Actual results
It failed for all completed deployable web cartridges: php and diy
 
Version-Release number of selected component (if applicable):
Upgraded from devenv_345 to devenv_3200

How reproducible:
Always

Steps to Reproduce:
1. Launch a devenv-stage_345 ami
2. Create app with php/diy cartridge
3. scp -r ~/devenv-local and /etc/yum.repos.d/local.repo from devenv_3200 instance to same location on devenv-stage_345 instance
4. yum -y update --enablerepo devenv-local (This will upgrade devenv-stage_345 to devenv_3200)
5. oo-cart-version -c v2
6. rhc-v2-migrate --version 2.0.28
7.git clone app
8.change something
9.git push
  
Actual results:
[sunwei@dhcp-8-229 phptest]$ gitpush 
[master 127647d] test
 0 files changed
 create mode 100644 .openshift/markers/hot_deploy
Counting objects: 7, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 383 bytes, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/CARTRIDGE_VERSION_2: line 1: 2: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/HISTFILE: line 1: /var/lib/openshift/518b0b44fa765014ce000001/app-root/data/.bash_history: Permission denied
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/HOME: line 1: /var/lib/openshift/518b0b44fa765014ce000001/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/JENKINS_PASSWORD: line 1: N-Ut1UBdwrqQ: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/JENKINS_URL: line 1: https://jks-wsunv2migrate.dev.rhcloud.com/: No such file or directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/JENKINS_USERNAME: line 1: system_builder: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_APP_DNS: line 1: phptest-wsunv2migrate.dev.rhcloud.com: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_APP_NAME: line 1: phptest: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_APP_UUID: line 1: 518b0b44fa765014ce000001: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_DATA_DIR: line 1: /var/lib/openshift/518b0b44fa765014ce000001/app-root/data/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_GEAR_DNS: line 1: phptest-wsunv2migrate.dev.rhcloud.com: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_GEAR_NAME: line 1: phptest: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_GEAR_UUID: line 1: 518b0b44fa765014ce000001: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_HOMEDIR: line 1: /var/lib/openshift/518b0b44fa765014ce000001/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_INTERNAL_IP: line 1: 127.0.254.1: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_INTERNAL_PORT: line 1: 8080: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_NAMESPACE: line 1: wsunv2migrate: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_PHP_IP: line 1: 127.0.254.1: command not found
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_PHP_PORT: line 1: 8080: command not found
error: cannot run hooks/pre-receive: No such file or directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_PRIMARY_CARTRIDGE_DIR: line 1: /var/lib/openshift/518b0b44fa765014ce000001/php/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_REPO_DIR: line 1: /var/lib/openshift/518b0b44fa765014ce000001/app-root/runtime/repo/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/OPENSHIFT_TMP_DIR: line 1: /tmp/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/TMP: line 1: /tmp/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/TMPDIR: line 1: /tmp/: is a directory
remote: /var/lib/openshift/518b0b44fa765014ce000001//.env/TMP_DIR: line 1: /tmp/: is a directory
remote: hooks/pre-receive: line 9: pre_receive_app.sh: command not found
To ssh://518b0b44fa765014ce000001@phptest-wsunv2migrate.dev.rhcloud.com/~/git/phptest.git/
 ! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to 'ssh://518b0b44fa765014ce000001@phptest-wsunv2migrate.dev.rhcloud.com/~/git/phptest.git/'


Expected results:
Can git push successfully

Additional info:
Comment 1 Dan Mace 2013-05-10 08:54:08 EDT
Resolved by https://github.com/openshift/li/pull/1343
Comment 2 Wei Sun 2013-05-13 01:15:28 EDT
Verified on devenv_3129

Result:
[sunwei@dhcp-8-229 diytest]$ gitpush 
[master e782a10] test
 1 file changed, 1 insertion(+)
Counting objects: 5, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 355 bytes, done.
Total 3 (delta 1), reused 0 (delta 0)
remote: Stopping DIY cart
remote: Stopping DIY cart
remote: Starting DIY cart
remote: Starting DIY cart
To ssh://481347033603975938048000@diytest-wsun3129v2.dev.rhcloud.com/~/git/diytest.git/
   dcb7b50..e782a10  master -> master

Note You need to log in before you can comment on or make changes to this bug.